#!/tvbin/tivosh
#
# OZTivo Remote Switcher v1.0
#
# This will enable the Sony SRV-2000 remote to function on the
# OZTivo Philips image
#
# Created By GordonBarnett (spamman@gmail.com)
#
# Code has been taken and modified from TheDoctor(remote_enable.tcl) and JJBliss(bufferhack.tcl)   
# 
proc puts_txt { str level } {
  global textlvl
  if { $level >= $textlvl } {
       puts $str
  }
}

proc findid { db itemlist id } {
  foreach x $itemlist {
      if { [dbobj $x get Id] == $id } {
              return $x
      }
  }
  return ""
}

proc prompt {} {
  set choice ""
  while {$choice==""} {
    puts -nonewline "Choice? "
    flush stdout
    gets stdin choice
  }
  return $choice
}

switch [lindex $argv 1] {
        "q" {
              set textlvl 1 }
        "s" {
              set textlvl 2 }
        default {
              set textlvl 0 }
}



#puts_txt " " 0
#puts_txt "OZTivo Remote Switcher v1.0" 0
#puts_txt "(C) 18/9/2004 by Gordon Barnett (spamman@gmail.com)" 0
#puts_txt " " 0

#puts_txt "Please choose from one of the following options:" 0
set choice 3
# while { $choice < 1 || $choice > 4 }  {
#    puts_txt "" 0
#    puts_txt "-- Menu --" 0
#    puts_txt "1. Set Remote for Philips only" 0
#    puts_txt "2. Set Remote for Sony only" 0
#    puts_txt "3. Set Remote for Philips and Sony" 0
 #   puts_txt "4. Quit" 0
 #   puts_txt " " 0
 #   set choice [prompt]
 #}

    switch -exact $choice {
      1 {
	set philips 1
 	set sony 0
	}
      2 {
	set philips 0 
	set sony 1
	}
      3 {
	set philips 1
	set sony 1
	}
      4 {
        puts_txt "Bye Bye....." 0
	exit
	}
      default {
        puts_txt " " 0
 	puts_txt "Option not valid!" 0
	exit
	}
}
	
puts_txt " " 0


if {$philips == 0} {
   set philipstext "Philips Disabled"
   } else {
   set philipstext "Philips Enabled"	 
   }

if {$sony == 0} {
   set sonytext "Sony Disabled"
   } else {
   set sonytext "Sony Enabled"
   }

set db [dbopen]
transaction {
  set swsysa [db $db open "/SwSystem/ACTIVE"]
  set resgrp [dbobj $swsysa get ResourceGroup]
  set tmpgrp [lindex $resgrp 30]
  set tmpres [lindex [dbobj $tmpgrp get "Item"] 3]
  set val [dbobj $tmpres get "String"]
  if { $val == 0 || $val == 1 } {
    dbobj $tmpres set "String" $sony
    dbobj $tmpgrp remove "CompressedFile"
    puts_txt $sonytext 0
  } else {
    puts_txt "wrong software version?" 0
  }
  set tmpres [lindex [dbobj $tmpgrp get "Item"] 4]
  set val [dbobj $tmpres get "String"]
  if { $val == 0 || $val == 1 } {
    dbobj $tmpres set "String" $philips
    dbobj $tmpgrp remove "CompressedFile"
    puts_txt $philipstext 0
  } else {
    puts_txt "wrong software version?" 0
  }
}


puts_txt " " 0
puts_txt "PLEASE REBOOT YOUR TIVO NOW!" 0
puts_txt " " 0

